Subject: bug#24922: 24.4; serial-term always launches in char mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 27 Jul 2019 14:18:56 +0200

Phil Hagelberg <[email-masked]> writes:

> When you open a serial connection with M-x serial-term, there is no way
> to set it to line mode without defadvice. If you use term-mode-hook to
> activate term-line-mode, it is immediately overridden by a call to
> term-char-mode on line 4297 of term.el in the serial-term defun.
>
> It would be better if it were possible to change it to default to line
> mode using a defvar or defcustom.

(I'm going through older Emacs bug reports that have received no
response.)

I've now added an optional argument to the command to leave it in line
mode on the Emacs trunk.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no